Skip to main content
GET
/
matchmaker
/
tickets
/
{id}
Get ticket or player status
curl --request GET \
  --url https://backend.computeflow.cloud/matchmaker/tickets/{id} \
  --header 'api-key: <api-key>'
{
  "ticket_id": "<string>",
  "player_id": "<string>",
  "matchmaker_id": "<string>",
  "status": "In Queue",
  "created_at": 123,
  "elo": 123,
  "regions": [
    "<string>"
  ]
}

Authorizations

api-key
string
header
required

Headers

api-key
string
required

API key for authentication

client-auth-token
string

Optional client authentication token for player validation

Path Parameters

id
string
required

ID of the ticket or player to check

Query Parameters

matchmaker_name
string

Optional name of the matchmaker. Required for ticket lookup, optional for player lookup.

matchmaker_id
string
required
type
enum<string>

Type of ID provided: 'ticket' (default) or 'player'

Available options:
ticket,
player

Response

Ticket or player status information

Ticket information (full ticket object)

ticket_id
string
player_id
string
matchmaker_id
string
status
enum<string>
Available options:
In Queue,
matched,
cancelled,
expired,
deleted,
abandoned
created_at
integer<int64>
elo
integer
regions
string[]